aboutsummaryrefslogtreecommitdiffstats
path: root/testing/znc
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2011-03-25 18:19:56 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2011-03-25 18:19:56 +0000
commitc73a4e1a4d50a9ff1fb4fe3808ffa45e11dbdda6 (patch)
tree757a9482f91b80bc2551f1d794a052b8f901569e /testing/znc
parent372b345f3b0740be075c4fa41c4bf31540132521 (diff)
parent2d2e02b94b10ee5b4c2afeb69667015f1fc9015f (diff)
downloadaports-c73a4e1a4d50a9ff1fb4fe3808ffa45e11dbdda6.tar.bz2
aports-c73a4e1a4d50a9ff1fb4fe3808ffa45e11dbdda6.tar.xz
Merge git://dev.alpinelinux.org/aports
Diffstat (limited to 'testing/znc')
-rw-r--r--testing/znc/APKBUILD109
-rw-r--r--testing/znc/libiconv.patch16
2 files changed, 125 insertions, 0 deletions
diff --git a/testing/znc/APKBUILD b/testing/znc/APKBUILD
new file mode 100644
index 0000000000..5b3ea110c0
--- /dev/null
+++ b/testing/znc/APKBUILD
@@ -0,0 +1,109 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=znc
+pkgver=0.096
+pkgrel=1
+pkgdesc="An advanced IRC bouncer"
+url="http://znc.in"
+arch="all"
+license="GPLv2"
+depends=
+depends_dev=
+makedepends="perl-dev openssl-dev cyrus-sasl-dev python-dev c-ares-dev swig
+ libiconv-dev tcl-dev autoconf automake"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-extra $pkgname-modtcl
+ $pkgname-modperl"
+source="http://znc.in/releases/znc-$pkgver.tar.gz
+ libiconv.patch"
+
+_builddir="$srcdir"/znc-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ aclocal && autoconf || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CHARSET=
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --enable-extra \
+ --enable-perl \
+ --enable-sasl \
+ --enable-tcl \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+_mv_to_sub() {
+ local i
+ for i in "$@"; do
+ mkdir -p "$subpkgdir"/${i%/*}
+ mv "$pkgdir"/$i "$subpkgdir"/$i || return 1
+ done
+}
+
+_mv_mod() {
+ local i
+ for i in "$@"; do
+ _mv_to_sub usr/lib/znc/$i || return 1
+ done
+}
+
+dev() {
+ default_dev
+ _mv_to_sub usr/bin/znc-buildmod
+}
+
+extra() {
+ pkgdesc="Extra modules for ZNC"
+ _mv_mod antiidle.so \
+ autovoice.so \
+ block_motd.so \
+ charset.so \
+ clearbufferonmsg.so \
+ ctcpflood.so \
+ droproot.so \
+ email.so \
+ fakeonline.so \
+ flooddetach.so \
+ imapauth.so \
+ listsockets.so \
+ log.so \
+ motdfile.so \
+ notify_connect.so \
+ saslauth.so \
+ send_raw.so \
+ shell.so
+}
+
+modtcl() {
+ pkgdesc="TCL module for ZNC"
+ depends="znc"
+ _mv_mod modtcl.so
+ _mv_to_sub usr/share/znc/modtcl
+}
+
+modperl() {
+ pkgdesc="Perl module for ZNC"
+ depends="znc"
+ _mv_mod modperl modperl.so
+}
+
+md5sums="38eec4f1911a68b4d2fc704170e7cbf6 znc-0.096.tar.gz
+aafd7f1e87c6fd734cce66281fa2be6e libiconv.patch"
diff --git a/testing/znc/libiconv.patch b/testing/znc/libiconv.patch
new file mode 100644
index 0000000000..d986e2f9d1
--- /dev/null
+++ b/testing/znc/libiconv.patch
@@ -0,0 +1,16 @@
+--- ./configure.in.orig
++++ ./configure.in
+@@ -366,7 +366,12 @@
+ if test x"$EXTRA" = "xyes"
+ then
+ AC_CHECK_FUNC( iconv, CHARSET=1 )
+- AC_CHECK_LIB( iconv, iconv_open, LIBICONV=-liconv ; CHARSET=1 )
++ dnl On some systems iconv is in a separate library, and may actually
++ dnl be named libiconv.
++ AC_CHECK_LIB( iconv, libiconv_open, LIBICONV=-liconv ; CHARSET=1 )
++ if test $ac_cv_lib_iconv_libiconv = no; then
++ AC_CHECK_LIB( iconv, iconv_open, LIBICONV=-liconv ; CHARSET=1 )
++ fi
+ if test "x$CHARSET" = "x1"
+ then
+ AC_MSG_CHECKING([whether iconv expects a const second argument])